import { HcApi } from '../../request/index'

export default {
    //分页
    async page(form) {
        return HcApi({
            url: '/api/blade-system/data-scope/list',
            method: 'get',
            params: form,
        })
    },
    //详情
    async detail(id) {
        return HcApi({
            url: '/api/blade-system/data-scope/detail',
            method: 'get',
            params: { id },
        })
    },
    //新增和编辑
    async submit(form) {
        return HcApi({
            url: '/api/blade-system/data-scope/submit',
            method: 'post',
            data: form,
        })
    },
    //删除
    async del(ids) {
        return HcApi({
            url: '/api/blade-system/data-scope/remove',
            method: 'post',
            params: { ids },
        })
    },
}
